<?php if(!defined('ABSPATH')) exit; /* Exit if accessed directly */

/* Config Object */

$object->addAttribute('google_analytics_key',
    'Google Analytics ID',
    'The Google Analytics tracking ID looks like this: UA-12345678-12',
    'varchar(255)',
    $this->pp_config['google_analytics_key'],
    true,
    '#^.{1,255}$#');

$object->addAttribute('google_analytics_anonymize_ip',
    'Google Analytics "anonymize IP"',
    'For data privacy reasons in some countries the IP-address of the user needs to be anonymized. This means that it will <strong>not</strong> be evaluated by Google Analytics (actually it is transmitted incompletely) if this flag is set to Yes.',
    'enum',
    $this->pp_config['google_analytics_anonymize_ip'],
    true,
    array('Y' => 'Yes, anonymize the IP',
        'N' => 'No, do not anonymize the IP'));

$object->addAttribute('google_analytics_track_frontend',
    'Google Analytics frontend tracking',
    'Track users in the frontend (your theme) with Google Analytics.',
    'enum',
    $this->pp_config['google_analytics_track_frontend'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('google_analytics_track_login_registration',
    'Google Analytics "/wp-login" tracking',
    'Track users on the "default" login and registration page of WordPress with Google Analytics.',
    'enum',
    $this->pp_config['google_analytics_track_login_registration'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('google_analytics_track_admin_panel',
    'Google Analytics admin panel tracking',
    'Track users in the admin panel with Google Analytics.',
    'enum',
    $this->pp_config['google_analytics_track_admin_panel'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('google_analytics_track_loggedin',
    'Google Analytics "logged in" tracking',
    'Track users who are logged in with Google Analytics  (if set to no, admin panel tracking will not work).',
    'enum',
    $this->pp_config['google_analytics_track_loggedin'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('google_analytics_respect_wp_consent_manager_pro_settings',
    'Respect cookie settings of WP Consent Manager PRO for Google Analytics',
    'WP Consent Manager PRO lets your user opt-in to or opt-out from performance cookies. Do you want ' . $this->pp_plugin_name_read . ' to respect those settings for Google Analytics?',
    'enum',
    $this->pp_config['google_analytics_respect_wp_consent_manager_pro_settings'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('facebook_analytics_key',
    'Facebook Pixel ID',
    'The Facebook tracking pixel ID looks like this: 1234512345123451.',
    'varchar(255)',
    $this->pp_config['facebook_analytics_key'],
    true,
    '#^.{1,255}$#');

$object->addAttribute('facebook_analytics_track_frontend',
    'Facebook frontend tracking',
    'Track users in the frontend with Facebook.',
    'enum',
    $this->pp_config['facebook_analytics_track_frontend'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('facebook_analytics_track_login_registration',
    'Facebook "/wp-login" tracking',
    'Track users on the "default" login and registration page of WordPress with Facebook.',
    'enum',
    $this->pp_config['facebook_analytics_track_login_registration'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('facebook_analytics_track_admin_panel',
    'Facebook admin panel tracking',
    'Track users in the admin panel with Facebook.',
    'enum',
    $this->pp_config['facebook_analytics_track_admin_panel'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('facebook_analytics_track_loggedin',
    'Facebook "logged in" tracking',
    'Track users who are logged in with Facebook (if set to no, admin panel tracking will not work).',
    'enum',
    $this->pp_config['facebook_analytics_track_loggedin'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('facebook_analytics_respect_wp_consent_manager_pro_settings',
    'Respect cookie settings of WP Consent Manager PRO for the Facebook tracking pixel',
    'WP Consent Manager PRO lets your user opt-in to or opt-out from performance cookies. Do you want '.$this->pp_plugin_name_read.' to respect those settings for the Facebook tracking pixel?',
    'enum',
    $this->pp_config['facebook_analytics_respect_wp_consent_manager_pro_settings'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('smartlook_analytics_key',
    'Smartlook tracking code',
    'The Smartlook tracking code looks like this: abc12345abc12345abc12345abc12345abc12345.',
    'varchar(255)',
    $this->pp_config['smartlook_analytics_key'],
    true,
    '#^.{1,255}$#');

$object->addAttribute('smartlook_analytics_track_frontend',
    'Smartlook frontend tracking',
    'Track users in the frontend with Smartlook.',
    'enum',
    $this->pp_config['smartlook_analytics_track_frontend'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('smartlook_analytics_track_login_registration',
    'Smartlook "/wp-login" tracking',
    'Track users on the "default" login and registration page of WordPress with Smartlook.',
    'enum',
    $this->pp_config['smartlook_analytics_track_login_registration'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('smartlook_analytics_track_admin_panel',
    'Smartlook admin panel tracking',
    'Track users in the admin panel with Smartlook.',
    'enum',
    $this->pp_config['smartlook_analytics_track_admin_panel'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('smartlook_analytics_track_loggedin',
    'Smartlook "logged in" tracking',
    'Track users who are logged in with Smartlook (if set to no, admin panel tracking will not work).',
    'enum',
    $this->pp_config['smartlook_analytics_track_loggedin'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));

$object->addAttribute('smartlook_analytics_respect_wp_consent_manager_pro_settings',
    'Respect cookie settings of WP Consent Manager PRO for Smartlook recorder',
    'WP Consent Manager PRO lets your user opt-in to or opt-out from performance cookies. Do you want '.$this->pp_plugin_name_read.' to respect those settings for Smartlook recorder?',
    'enum',
    $this->pp_config['smartlook_analytics_respect_wp_consent_manager_pro_settings'],
    true,
    array('Y' => 'Yes',
        'N' => 'No'));
?>