<?php if (!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>
<div class="wrap">
    <h1>
        <i class="dashicons dashicons-admin-home pp-dashicons-lg"></i> // <?php echo $this->pp_plugin_name_read; ?> Dashboard
    </h1>
    <?php if (current_user_can($this->pp_prefix . 'function_wizard_use')
        OR current_user_can($this->pp_prefix . 'function_configuration_use')
        OR current_user_can($this->pp_prefix . 'function_addons_use')
        OR current_user_can($this->pp_prefix . 'function_tutorials_use')
        OR current_user_can($this->pp_prefix . 'function_support_use')
        OR current_user_can($this->pp_prefix . 'function_compatibility_use')
        OR current_user_can($this->pp_prefix . 'function_gopro_use')) { ?>

        <br style="clear:both;"/>
        <h2>Settings</h2>

        <?php if (current_user_can($this->pp_prefix . 'function_wizard_use')) { ?>
            <div class="pp-container">
                <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                    <div class="pp-box-dashboard-left-col">
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard"
                           class="dashicons dashicons-admin-settings pp-dashicons-huge"></a>
                    </div>
                    <div class="pp-box-dashboard-right-col">
                        <h3>Google Analytics - Config Wizard</h3>
                        <p><strong>Start here</strong> and let us help you configure your Google Analytics tracking.</p>
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard"
                           class="button-primary">Start here</a>
                    </div>
                </div>
            </div><!-- pp-container end -->

            <div class="pp-container">
                <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                    <div class="pp-box-dashboard-left-col">
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageFacebookPixelWizard"
                           class="dashicons dashicons-admin-settings pp-dashicons-huge"></a>
                    </div>
                    <div class="pp-box-dashboard-right-col">
                        <h3>Facebook Pixel - Config Wizard</h3>
                        <p><strong>Start here</strong> and let us help you configure your Facebook Pixel tracking.</p>
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageFacebookPixelWizard"
                           class="button-primary">Start here</a>
                    </div>
                </div>
            </div><!-- pp-container end -->

            <div class="pp-container">
                <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                    <div class="pp-box-dashboard-left-col">
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageSmartlookWizard"
                           class="dashicons dashicons-admin-settings pp-dashicons-huge"></a>
                    </div>
                    <div class="pp-box-dashboard-right-col">
                        <h3>Smartlook - Config Wizard</h3>
                        <p><strong>Start here</strong> and let us help you configure your Smartlook recorder</p>
                        <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageSmartlookWizard"
                           class="button-primary">Start here</a>
                    </div>
                </div>
            </div><!-- pp-container end -->
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_configuration_use')) { ?>
            <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                <div class="pp-box-dashboard-left-col">
                    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageConfiguration"
                       class="dashicons dashicons-admin-generic pp-dashicons-huge"></a>
                </div>
                <div class="pp-box-dashboard-right-col">
                    <h3>Expert Configuration</h3>
                    <p><strong>Start here</strong> and let us help you configure <?php echo $this->pp_plugin_name_read; ?> to your needs.</p>
                    <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php echo $this->pp_prefix; ?>menuPageConfiguration"
                       class="button-secondary">Configure here</a>
                </div>
            </div>
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_gopro_use')) { ?>
            <div class="pp-container">
                <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                    <div class="pp-box-dashboard-left-col">
                        <a href="<?php echo $this->pp_constant['base_url_gopro']; ?>?utm_source=dashboard_gopro_icon&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                           class="dashicons dashicons-cart pp-dashicons-huge"
                           style="color:#ff6600;"></a>
                    </div>
                    <div class="pp-box-dashboard-right-col">
                        <h3>Get the PRO version</h3>
                        <p>Feel like it is time to go PRO? Checkout the benefits and features of the PRO version and get it today!</p>
                        <a href="<?php echo $this->pp_constant['base_url_gopro']; ?>?utm_source=dashboard_gopro_button&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                           class="button-secondary"
                           style="background-color:#ff6600; color:#ffffff; font-weight:bold;">I want to go PRO!</a>
                    </div>
                </div>
            </div><!-- pp-container end -->
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_addons_use')) { ?>
            <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                <div class="pp-box-dashboard-left-col">
                    <a href="<?php echo $plugin_data['PluginURI']; ?>add-ons?utm_source=dashboard_addons_icon&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       class="dashicons dashicons-screenoptions pp-dashicons-huge"></a>
                </div>
                <div class="pp-box-dashboard-right-col">
                    <h3>Add-ons</h3>
                    <p>Customize <?php echo $this->pp_plugin_name_read; ?> to your needs with our add-ons and make it
                        even more powerful.</p>
                    <a href="<?php echo $plugin_data['PluginURI']; ?>add-ons?utm_source=dashboard_addons_button&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       target="_blank"
                       class="button-secondary">Let me see what you got...</a>
                </div>
            </div>
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_tutorials_use')) { ?>
            <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                <div class="pp-box-dashboard-left-col">
                    <a href="<?php echo $plugin_data['PluginURI']; ?>tutorials?utm_source=dashboard_tutorials_button&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       class="dashicons dashicons-welcome-learn-more pp-dashicons-huge"></a>
                </div>
                <div class="pp-box-dashboard-right-col">
                    <h3>Tutorials</h3>
                    <p>Don't know where to start? Then checkout our tutorials and frequently asked questions.</p>
                    <a href="<?php echo $plugin_data['PluginURI']; ?>tutorials?utm_source=dashboard_tutorials_button&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       target="_blank"
                       class="button-secondary">I wanna to learn how to...</a>
                </div>
            </div>
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_support_use')) { ?>
            <div class="pp-box pp-box-dashboard pp-box-dashboard-medium">
                <div class="pp-box-dashboard-left-col">
                    <a href="<?php echo $this->pp_constant['base_url_support']; ?>?utm_source=dashboard_support_icon&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       class="dashicons dashicons-email pp-dashicons-huge"
                       target="_blank"></a>
                </div>
                <div class="pp-box-dashboard-right-col">
                    <h3>Contact & Support</h3>
                    <p>You need support or just want to get in touch with us Go ahead, we don't bite (at least most of
                        the time).</p>
                    <a href="<?php echo $this->pp_constant['base_url_support']; ?>?utm_source=dashboard_support_button&utm_medium=plugin&utm_campaign=plugin_wp_lean_analytics_free"
                       target="_blank"
                       class="button-secondary">I want to tell you that...</a>
                </div>
            </div>
        <?php } ?>

        <?php if (current_user_can($this->pp_prefix . 'function_compatibility_use')) { ?>
            <div class="pp-box pp-box-dashboard pp-box-dashboard-large">
                <div class="pp-box-dashboard-left-col">
                    <i class="dashicons dashicons-admin-plugins pp-dashicons-huge"></i>
                </div>
                <div class="pp-box-dashboard-right-col">
                    <h3>Compatibility</h3>
                    <p>
                        For the best experience all checks should be green.
                        Yellow means some features might not work. Red is bad :-).</p>
                    <ul>
                        <li><strong>WordPress version:</strong> <span
                                    class="pp-badge-success"><?php echo $wp_version; ?></span></li>
                        <li><strong>PHP version:</strong> <span
                                    class="pp-badge-success"><?php echo phpversion(); ?></span></li>
                        <li><strong>PHP CURL:</strong> <span
                                    class="pp-badge-success"><?php if (function_exists('curl_version')) {
                                    echo 'enabled';
                                } else {
                                    echo 'disabled';
                                } ?></span></li>
                        <li><strong>PHP URL-fopen:</strong> <span
                                    class="pp-badge-<?php if (ini_get('allow_url_fopen')) {
                                        echo 'success';
                                    } else {
                                        echo 'error';
                                    } ?>"><?php if (ini_get('allow_url_fopen')) {
                                    echo 'enabled';
                                } else {
                                    echo 'disabled';
                                } ?></span></li>
                    </ul>
                </div>
            </div>
        <?php } ?>
    <?php } ?>
</div>