<?php if (!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>

<div class="wrap">
    <h1>
        <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"><i class="dashicons dashicons-admin-home pp-dashicons-lg"></i></a> // Configuration Wizard
    </h1>
    <div class="pp-container">
        <?php if (!isset($_REQUEST[$this->pp_prefix . 'step'])
            OR (isset($_REQUEST[$this->pp_prefix . 'step'])
                AND ($_REQUEST[$this->pp_prefix . 'step'] == '1'))) { ?>
            <form action="admin-post.php" method="post">
                <input type="hidden" name="action" value="<?php echo $this->pp_prefix; ?>updateOptions">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>redirect_page" value="<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>next_step" value="2">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>current_step" value="1">
                <?php wp_nonce_field($this->pp_prefix . 'updateOptions'); ?>
                <div class="pp-box">
                    <h2>Step 1 of 4: Let's get started...</h2>
                    <p>First of all, you need configure your <strong><?php echo $this->pp_config_attributes['google_analytics_key']['name_read']; ?></strong>.</p>
                    <p>To get it, you need to register and/or login at <a href="https://marketingplatform.google.com/intl/en/about/analytics/" title="Google Analytics" target="_blank">Google Analytics</a> (there
                        are tons of tutorials on how to set that up, so we don't cover that here). In the administration area you will find the ID for the respective property here:</p>

                    <a href="<?php echo plugin_dir_url('') . $this->pp_plugin_filefolder_name . '/plugin/img/wp_lean_analytics-wizard_google_analytics.png'; ?>" target="_blank" border="0">
                        <img src="<?php echo plugin_dir_url('') . $this->pp_plugin_filefolder_name . '/plugin/img/wp_lean_analytics-wizard_google_analytics.png'; ?>" style="margin-top:10px; margin-bottom:10px; margin-right:20px; width:300px; box-shadow: 5px 5px 5px #666666;"/>
                    </a>
                    <p><strong>Go ahead and copy your ID (see screenshot) and put it here:</strong>
                        <br/>
                        <input id="<?php echo $this->pp_prefix . 'google_analytics_key'; ?>"
                               name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_key]"
                               value="<?php echo htmlspecialchars($this->pp_config['google_analytics_key']); ?>"/>
                        <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_key']['description']; ?></span>
                    </p>
                    <br/>
                    <hr>
                    <center>
                        <input type="submit"
                               class="button-primary"
                               value="<?php _e('Save and continue...', $this->pp_plugin_name); ?>">
                    </center>
                </div>
            </form>
        <?php } elseif (isset($_REQUEST[$this->pp_prefix . 'step'])
            AND ($_REQUEST[$this->pp_prefix . 'step'] == '2')) { ?>
            <form action="admin-post.php" method="post">
                <input type="hidden" name="action" value="<?php echo $this->pp_prefix; ?>updateOptions">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>redirect_page" value="<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>next_step" value="3">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>current_step" value="2">
                <?php wp_nonce_field($this->pp_prefix . 'updateOptions'); ?>
                <div class="pp-box">
                    <h2>Step 2 of 4: Where do you want to track?</h2>
                    <p>Okay. So now that the most difficult part is over, you need to configure <strong>WHERE</strong> you want to track your users:</p>

                    <hr>
                    <br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_track_frontend'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_frontend']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_track_frontend'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_frontend]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_track_frontend']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_frontend'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_frontend']['description']; ?></span>

                    <br/><br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_track_login_registration'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_login_registration']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_track_login_registration'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_login_registration]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_track_login_registration']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_login_registration'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_login_registration']['description']; ?></span>

                    <br/><br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_track_admin_panel'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_admin_panel']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_track_admin_panel'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_admin_panel]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_track_admin_panel']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_admin_panel'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_admin_panel']['description']; ?></span>

                    <br/><br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_track_loggedin'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_loggedin']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_track_loggedin'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_loggedin]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_track_loggedin']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_loggedin'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_loggedin']['description']; ?></span>

                    <br/><br/>
                    <hr>
                    <center>
                        <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard"
                           class="button-secondary">Previous step</a>
                        <input type="submit"
                               class="button-primary"
                               value="<?php _e('Save and continue...', $this->pp_plugin_name); ?>">
                    </center>
                </div>
            </form>
        <?php } elseif (isset($_REQUEST[$this->pp_prefix . 'step'])
            AND ($_REQUEST[$this->pp_prefix . 'step'] == '3')) { ?>
            <form action="admin-post.php" method="post">
                <input type="hidden" name="action" value="<?php echo $this->pp_prefix; ?>updateOptions">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>redirect_page" value="<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>next_step" value="4">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>current_step" value="3">
                <?php wp_nonce_field($this->pp_prefix . 'updateOptions'); ?>
                <div class="pp-box">
                    <h2>Step 3 of 4: The legal part of it...</h2>
                    <p><strong>This is important</strong>, so please don't skip this step. When you track your users with Google Analytics, you should consider the following:</p>
                    <ol>
                        <li>
                            Google uses cookies (or other technologies) to identify a user's device.
                            In many countries you are legally forced to provide your users with the possibility to disable those cookies (or even collect an opt-in before setting them).
                            When it comes to third-party cookies, the only way to "disable" those cookies, is not to load the third-party code-snippet in the first place.
                            Many websites have those neat cookie banners that pretend to disable cookies when you click "no", but most of them are fake - or how would they prevent this plugin from loading the
                            Google Analytics tracking code if we didn't implement to respect their settings?
                            This is why we built an interface to <a href="https://www.wpconsentmanager.com/?utm_source=wizard_settings&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free" target="_blank">WP Consent Manager</a>,
                            a premium plugin for Cookie banners, notices, disclaimers - and the opt-out possibility mentioned before:
                            When a user disables tracking cookies in WP Consent Manager, then this will also disable the tracking code of Google Analytics on your website (if the below option is set to yes).
                            By the way: This is needed for any website that offers content to customers in the European Union (and usually US websites are also accessible from the European Union, right?).
                        </li>
                        <li>
                            Makes sure to configure "anonymize IP", if that is relevant in your country. If you activate this part, the IP-addresses of your users will not be transmitted to Google Analytics.
                            You may think that Google Analytics has your user's IP-addresses anyway, but unfortunately that does not relieve you of your duty...
                        </li>
                        <li>
                            What you should also do (depending on your local legislation) is sign the "data processing" agreement with Google, which you might have to have in place, as you "hire" Google to do the tracking job
                            for you and you send your user's data to them.
                        </li>
                        <li>
                            Update your data privacy policy that also informs your users how to opt-out of Google Analytics in general...
                        </li>
                    </ol>
                    <br/>

                    <hr>
                    <br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_anonymize_ip'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_anonymize_ip']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_anonymize_ip'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_anonymize_ip]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_anonymize_ip']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_anonymize_ip'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_anonymize_ip']['description']; ?></span>

                    <br/><br/>
                    <label for="<?php echo $this->pp_prefix . 'google_analytics_respect_wp_consent_manager_pro_settings'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['name_read']; ?>:</strong></label>
                    <br/>
                    <select id="<?php echo $this->pp_prefix . 'google_analytics_respect_wp_consent_manager_pro_settings'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_respect_wp_consent_manager_pro_settings]">
                        <?php foreach ($this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['validator'] AS $value => $nicename) { ?>
                            <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_respect_wp_consent_manager_pro_settings'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                        <?php } ?>
                    </select>
                    <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['description']; ?></span>
                    <br/><span class="description"><?php _e('Find out more on WP Consent Manager PRO here: ', 'wp_lean_analytics_free'); ?> <a href="https://www.wpconsentmanager.com/?utm_source=wizard_settings&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free" target="_blank">wpConsentManager.com</a></span>

                    <br/><br/>
                    <hr>
                    <center>
                        <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageGoogleAnalyticsWizard&<?php echo $this->pp_prefix; ?>step=2"
                           class="button-secondary">Previous step</a>
                        <input type="submit"
                               class="button-primary"
                               value="<?php _e('Save and continue...', $this->pp_plugin_name); ?>">
                    </center>
                </div>
            </form>
        <?php } elseif (isset($_REQUEST[$this->pp_prefix . 'step'])
            AND ($_REQUEST[$this->pp_prefix . 'step'] == '4')) { ?>
            <div class="pp-box">
                <h2>Step 4 of 4: Done!</h2>
                <p>
                    <span class="pp-badge-success">Okay, now you are officially done :-)</span>
                </p>
                <p>
                    We hope you enjoy this plugin, and if so, give it a 5-star rating in the WordPress directory.
                    Thanks again for choosing our plugin - you are awesome!
                </p>
                <hr>
                <center>
                    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"
                       class="button-primary">Back to the dashboard...</a>
                </center>
            </div>
        <?php } ?>
    </div>
</div>